Description: fixed hardening errors
 - supply a dummy format string '%s' for printf()-like functions
Author: IOhannes m zmölnig
Forwarded: https://sourceforge.net/p/pure-data/svn/17472/
Last-Update: 2015-06-02
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-unauthorized.orig/audience~.c
+++ pd-unauthorized/audience~.c
@@ -1038,7 +1038,7 @@
 
 void audience_tilde_setup(void)
 {
-    logpost(NULL, 4,  audience_version );
+    logpost(NULL, 4, "%s",  "%s", audience_version );
     audience_class_tilde = class_new(gensym("audience~"), (t_newmethod)audience_new,
                                      (t_method)audience_free, sizeof(t_audience_tilde), 0, A_GIMME, 0);
     CLASS_MAINSIGNALIN( audience_class_tilde, t_audience_tilde, x_f );
--- pd-unauthorized.orig/beatify~.c
+++ pd-unauthorized/beatify~.c
@@ -171,7 +171,7 @@
 
 void beatify_tilde_setup(void)
 {
-    logpost(NULL, 4,  beatify_version );
+    logpost(NULL, 4, "%s",  beatify_version );
     beatify_class = class_new(gensym("beatify~"), (t_newmethod)beatify_new, 0,
                               sizeof(t_beatify), 0, 0);
     CLASS_MAINSIGNALIN( beatify_class, t_beatify, x_f );
--- pd-unauthorized.orig/blinkenlights.c
+++ pd-unauthorized/blinkenlights.c
@@ -867,7 +867,7 @@
 
 void blinkenlights_setup(void)
 {
-    logpost(NULL, 4, blinkenlights_version);
+    logpost(NULL, 4, "%s", blinkenlights_version);
     blinkenlights_class = class_new(gensym("blinkenlights"), (t_newmethod)blinkenlights_new,
                                     (t_method)blinkenlights_free,
                                     sizeof(t_blinkenlights), 0, A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, 0);
--- pd-unauthorized.orig/compressor~.c
+++ pd-unauthorized/compressor~.c
@@ -97,7 +97,7 @@
 
 void compressor_tilde_setup(void)
 {
-    logpost(NULL, 4,  compressor_version );
+    logpost(NULL, 4, "%s",  compressor_version );
     compressor_class = class_new(gensym("compressor~"), (t_newmethod)compressor_new, 0,
                                  sizeof(t_compressor), 0, 0);
     CLASS_MAINSIGNALIN( compressor_class, t_compressor, x_f );
--- pd-unauthorized.orig/cooled~.c
+++ pd-unauthorized/cooled~.c
@@ -1455,7 +1455,7 @@
 
 void cooled_tilde_setup(void)
 {
-    logpost(NULL, 4, cooled_version);
+    logpost(NULL, 4, "%s", cooled_version);
     cooled_class = class_new(gensym("cooled~"), (t_newmethod)cooled_new, (t_method)cooled_free,
                              sizeof(t_cooled), 0, A_GIMME, 0);
 
--- pd-unauthorized.orig/countund.c
+++ pd-unauthorized/countund.c
@@ -115,7 +115,7 @@
 
 void countund_setup(void)
 {
-    logpost(NULL, 4, countund_version);
+    logpost(NULL, 4, "%s", countund_version);
     countund_class = class_new(gensym("countund"), (t_newmethod)countund_new,
                                (t_method)countund_free,
                                sizeof(t_countund), 0, A_DEFFLOAT, 0);
--- pd-unauthorized.orig/disto~.c
+++ pd-unauthorized/disto~.c
@@ -473,7 +473,7 @@
 
 void disto_tilde_setup(void)
 {
-    logpost(NULL, 4,  disto_version );
+    logpost(NULL, 4, "%s",  disto_version );
     disto_class = class_new(gensym("disto~"), (t_newmethod)disto_new, (t_method)disto_free,
                             sizeof(t_disto), 0, 0);
 
--- pd-unauthorized.orig/exciter.c
+++ pd-unauthorized/exciter.c
@@ -789,7 +789,7 @@
 
 void exciter_setup(void)
 {
-    logpost(NULL, 4,  exciter_version );
+    logpost(NULL, 4, "%s",  exciter_version );
     exciter_class = class_new(gensym("exciter"), (t_newmethod)exciter_new,
                               (t_method)exciter_free, sizeof(t_exciter), 0, A_GIMME, 0);
     class_addmethod(exciter_class, (t_method)exciter_dialog, gensym("dialog"), A_GIMME, 0);
--- pd-unauthorized.orig/filterbank~.c
+++ pd-unauthorized/filterbank~.c
@@ -653,7 +653,7 @@
 
 void filterbank_tilde_setup(void)
 {
-    logpost(NULL, 4,  filterbank_version );
+    logpost(NULL, 4, "%s",  filterbank_version );
     filterbank_class_tilde = class_new(gensym("filterbank~"), (t_newmethod)filterbank_new,
                                        (t_method)filterbank_free, sizeof(t_filterbank_tilde), 0, A_GIMME, 0);
     CLASS_MAINSIGNALIN( filterbank_class_tilde, t_filterbank_tilde, x_f );
--- pd-unauthorized.orig/formant~.c
+++ pd-unauthorized/formant~.c
@@ -260,7 +260,7 @@
 
 void formant_tilde_setup(void)
 {
-    logpost(NULL, 4, formant_version);
+    logpost(NULL, 4, "%s", formant_version);
     formant_class = class_new(gensym("formant~"), (t_newmethod)formant_new, (t_method)formant_free,
                               sizeof(t_formant), 0, A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, 0);
     class_addmethod(formant_class, (t_method)formant_dsp, gensym("dsp"), 0);
--- pd-unauthorized.orig/grid.c
+++ pd-unauthorized/grid.c
@@ -690,7 +690,7 @@
 
 void grid_setup(void)
 {
-    logpost(NULL, 4, grid_version );
+    logpost(NULL, 4, "%s", grid_version );
     grid_class = class_new(gensym("grid"), (t_newmethod)grid_new,
                            (t_method)grid_free, sizeof(t_grid), 0, A_GIMME, 0);
     class_addmethod(grid_class, (t_method)grid_click, gensym("click"),
--- pd-unauthorized.orig/mp3amp~.c
+++ pd-unauthorized/mp3amp~.c
@@ -1245,7 +1245,7 @@
     /* init mpg123 decoder */
     mp3amp_tilde_mpglib_init(x);
 
-    logpost(NULL, 4, mp3amp_version);
+    logpost(NULL, 4, "%s", mp3amp_version);
 
     return (x);
 }
--- pd-unauthorized.orig/mp3cast~.c
+++ pd-unauthorized/mp3cast~.c
@@ -368,7 +368,7 @@
 #endif  /* _WIN32 */
     {
         const char *lameVersion = get_lame_version();
-        logpost(NULL, 4,  "mp3cast~ : using lame version : %s", lameVersion );
+        logpost(NULL, 4, "%s",  "mp3cast~ : using lame version : %s", lameVersion );
     }
 
 
@@ -810,7 +810,7 @@
 static void mp3cast_print(t_mp3cast *x)
 {
     const char        * buf = 0;
-    logpost(NULL, 4, mp3cast_version);
+    logpost(NULL, 4, "%s", mp3cast_version);
     post("  LAME mp3 settings:\n"
          "    output sample rate: %d Hz\n"
          "    bitrate: %d kbit/s", x->x_samplerate, x->x_bitrate);
@@ -972,7 +972,7 @@
 
 void mp3cast_tilde_setup(void)
 {
-    logpost(NULL, 4, mp3cast_version);
+    logpost(NULL, 4, "%s", mp3cast_version);
     mp3cast_class = class_new(gensym("mp3cast~"), (t_newmethod)mp3cast_new, (t_method)mp3cast_free,
                               sizeof(t_mp3cast), 0, 0);
     CLASS_MAINSIGNALIN(mp3cast_class, t_mp3cast, x_f );
--- pd-unauthorized.orig/mp3fileout~.c
+++ pd-unauthorized/mp3fileout~.c
@@ -549,7 +549,7 @@
 
 void mp3fileout_tilde_setup(void)
 {
-    logpost(NULL, 4,  mp3fileout_version );
+    logpost(NULL, 4, "%s",  mp3fileout_version );
     mp3fileout_class = class_new(gensym("mp3fileout~"),
                                  (t_newmethod) mp3fileout_new, (t_method) mp3fileout_free,
                                  sizeof(t_mp3fileout),  0, A_NULL);
--- pd-unauthorized.orig/mp3streamin~.c
+++ pd-unauthorized/mp3streamin~.c
@@ -669,7 +669,7 @@
 
 void mp3streamin_tilde_setup(void)
 {
-    logpost(NULL, 4,  mp3streamin_version );
+    logpost(NULL, 4, "%s",  mp3streamin_version );
     mp3streamin_class = class_new(gensym("mp3streamin~"),
                                   (t_newmethod) mp3streamin_new, (t_method) mp3streamin_free,
                                   sizeof(t_mp3streamin),  CLASS_NOINLET, A_DEFFLOAT, A_DEFFLOAT, A_NULL);
--- pd-unauthorized.orig/mp3streamout~.c
+++ pd-unauthorized/mp3streamout~.c
@@ -376,7 +376,7 @@
 #endif
     {
         const char *lameVersion = get_lame_version();
-        logpost(NULL, 4,  "mp3streamout~ : using lame version : %s", lameVersion );
+        logpost(NULL, 4, "%s",  "mp3streamout~ : using lame version : %s", lameVersion );
     }
 
     /* setting lame parameters */
@@ -550,7 +550,7 @@
 {
     const char        * buf = 0;
 
-    logpost(NULL, 4, mp3streamout_version);
+    logpost(NULL, 4, "%s", mp3streamout_version);
     post("  LAME mp3 settings:\n"
          "    output sample rate: %d Hz\n"
          "    bitrate: %d kbit/s", x->x_samplerate, x->x_bitrate);
@@ -629,7 +629,7 @@
 
 void mp3streamout_tilde_setup(void)
 {
-    logpost(NULL, 4, mp3streamout_version);
+    logpost(NULL, 4, "%s", mp3streamout_version);
     mp3streamout_class = class_new(gensym("mp3streamout~"), (t_newmethod)mp3streamout_new, (t_method)mp3streamout_free,
                                    sizeof(t_mp3streamout), 0, 0);
     CLASS_MAINSIGNALIN(mp3streamout_class, t_mp3streamout, x_f );
--- pd-unauthorized.orig/mp3write~.c
+++ pd-unauthorized/mp3write~.c
@@ -369,7 +369,7 @@
 #endif
     {
         const char *lameVersion = get_lame_version();
-        logpost(NULL, 4,  "mp3write~ : using lame version : %s", lameVersion );
+        logpost(NULL, 4, "%s",  "mp3write~ : using lame version : %s", lameVersion );
     }
 
     /* setting lame parameters */
@@ -495,7 +495,7 @@
 static void mp3write_print(t_mp3write *x)
 {
     const char        * buf = 0;
-    logpost(NULL, 4, mp3write_version);
+    logpost(NULL, 4, "%s", mp3write_version);
     post("  LAME mp3 settings:\n"
          "    output sample rate: %d Hz\n"
          "    bitrate: %d kbit/s", x->x_samplerate, x->x_bitrate);
@@ -627,7 +627,7 @@
 
 void mp3write_tilde_setup(void)
 {
-    logpost(NULL, 4, mp3write_version);
+    logpost(NULL, 4, "%s", mp3write_version);
     mp3write_class = class_new(gensym("mp3write~"), (t_newmethod)mp3write_new, (t_method)mp3write_free,
                                sizeof(t_mp3write), 0, 0);
     CLASS_MAINSIGNALIN(mp3write_class, t_mp3write, x_f );
--- pd-unauthorized.orig/pianoroll.c
+++ pd-unauthorized/pianoroll.c
@@ -793,7 +793,7 @@
 
 void pianoroll_setup(void)
 {
-    logpost(NULL, 4,  pianoroll_version );
+    logpost(NULL, 4, "%s",  pianoroll_version );
     pianoroll_class = class_new(gensym("pianoroll"), (t_newmethod)pianoroll_new,
                                 (t_method)pianoroll_free, sizeof(t_pianoroll), 0, A_GIMME, 0);
     class_addmethod(pianoroll_class, (t_method)pianoroll_float, &s_float, A_FLOAT, 0);
--- pd-unauthorized.orig/probalizer.c
+++ pd-unauthorized/probalizer.c
@@ -676,7 +676,7 @@
 
 void probalizer_setup(void)
 {
-    logpost(NULL, 4,  probalizer_version );
+    logpost(NULL, 4, "%s",  probalizer_version );
     probalizer_class = class_new(gensym("probalizer"), (t_newmethod)probalizer_new,
                                  (t_method)probalizer_free, sizeof(t_probalizer), 0, A_GIMME, 0);
     class_addmethod(probalizer_class, (t_method)probalizer_dialog, gensym("dialog"), A_GIMME, 0);
--- pd-unauthorized.orig/randomblock~.c
+++ pd-unauthorized/randomblock~.c
@@ -111,7 +111,7 @@
 
 void randomblock_tilde_setup(void)
 {
-    logpost(NULL, 4, randomblock_version);
+    logpost(NULL, 4, "%s", randomblock_version);
     randomblock_class = class_new(gensym("randomblock~"), (t_newmethod)randomblock_new,
                                   (t_method)randomblock_free,
                                   sizeof(t_randomblock), 0, A_DEFFLOAT, 0);
--- pd-unauthorized.orig/samplebox~.c
+++ pd-unauthorized/samplebox~.c
@@ -579,7 +579,7 @@
 
 void samplebox_tilde_setup(void)
 {
-    logpost(NULL, 4, samplebox_version);
+    logpost(NULL, 4, "%s", samplebox_version);
     samplebox_class = class_new(gensym("samplebox~"), (t_newmethod)samplebox_new, (t_method)samplebox_free,
                                 sizeof(t_samplebox), 0, A_DEFFLOAT, 0);
     CLASS_MAINSIGNALIN( samplebox_class, t_samplebox, x_f );
--- pd-unauthorized.orig/scratcher~.c
+++ pd-unauthorized/scratcher~.c
@@ -805,7 +805,7 @@
 
 void scratcher_tilde_setup(void)
 {
-    logpost(NULL, 4, scratcher_version);
+    logpost(NULL, 4, "%s", scratcher_version);
     scratcher_class = class_new(gensym("scratcher~"), (t_newmethod)scratcher_new, (t_method)scratcher_free,
                                 sizeof(t_scratcher), 0, A_GIMME, 0);
 
--- pd-unauthorized.orig/scrolllist.c
+++ pd-unauthorized/scrolllist.c
@@ -1000,7 +1000,7 @@
 
 void scrolllist_setup(void)
 {
-    logpost(NULL, 4,  scrolllist_version );
+    logpost(NULL, 4, "%s",  scrolllist_version );
     scrolllist_class = class_new(gensym("scrolllist"), (t_newmethod)scrolllist_new,
                                  (t_method)scrolllist_free, sizeof(t_scrolllist),
                                  CLASS_DEFAULT, A_GIMME, 0);
--- pd-unauthorized.orig/sonogram~.c
+++ pd-unauthorized/sonogram~.c
@@ -2251,7 +2251,7 @@
 
 void sonogram_tilde_setup(void)
 {
-    logpost(NULL, 4, sonogram_version);
+    logpost(NULL, 4, "%s", sonogram_version);
     sonogram_class = class_new(gensym("sonogram~"), (t_newmethod)sonogram_new, (t_method)sonogram_free,
                                sizeof(t_sonogram), 0, A_DEFFLOAT, A_DEFFLOAT, A_DEFFLOAT, 0);
 
--- pd-unauthorized.orig/speexin~.c
+++ pd-unauthorized/speexin~.c
@@ -608,7 +608,7 @@
 
 void speexin_tilde_setup(void)
 {
-    logpost(NULL, 4,  speexin_version );
+    logpost(NULL, 4, "%s",  speexin_version );
     speexin_class = class_new(gensym("speexin~"),
                               (t_newmethod) speexin_new, (t_method) speexin_free,
                               sizeof(t_speexin),  CLASS_NOINLET, A_DEFFLOAT, A_DEFFLOAT, A_NULL);
--- pd-unauthorized.orig/speexout~.c
+++ pd-unauthorized/speexout~.c
@@ -444,7 +444,7 @@
 
 void speexout_tilde_setup(void)
 {
-    logpost(NULL, 4, speexout_version);
+    logpost(NULL, 4, "%s", speexout_version);
     speexout_class = class_new(gensym("speexout~"), (t_newmethod)speexout_new, (t_method)speexout_free,
                                sizeof(t_speexout), 0, A_GIMME, 0);
     CLASS_MAINSIGNALIN(speexout_class, t_speexout, x_f );
--- pd-unauthorized.orig/spigot~.c
+++ pd-unauthorized/spigot~.c
@@ -71,7 +71,7 @@
 
 void spigot_tilde_setup(void)
 {
-    logpost(NULL, 4, spigot_version );
+    logpost(NULL, 4, "%s", spigot_version );
     spigot_class = class_new(gensym("spigot~"), (t_newmethod)spigot_new, 0,
                              sizeof(t_spigot), 0, 0);
     CLASS_MAINSIGNALIN( spigot_class, t_spigot, x_f );
--- pd-unauthorized.orig/wahwah~.c
+++ pd-unauthorized/wahwah~.c
@@ -393,7 +393,7 @@
 
 void wahwah_tilde_setup(void)
 {
-    logpost(NULL, 4,  wahwah_version );
+    logpost(NULL, 4, "%s",  wahwah_version );
     wahwah_class = class_new(gensym("wahwah~"), (t_newmethod)wahwah_new, (t_method)wahwah_free,
                              sizeof(t_wahwah), 0, 0);
 
